// CHECKSTYLE:OFF

package com.smartbear.jenkins.plugins.testcomplete;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Failed to obtain test results. See the error message in the &lt;a href="%s">console&lt;/a>.
     * 
     */
    public static String TcTestBuilder_NoInfo() {
        return holder.format("TcTestBuilder.NoInfo");
    }

    /**
     * Failed to obtain test results. See the error message in the &lt;a href="%s">console&lt;/a>.
     * 
     */
    public static Localizable _TcTestBuilder_NoInfo() {
        return new Localizable(holder, "TcTestBuilder.NoInfo");
    }

    /**
     * Unable to find the specified TestComplete/TestExecute installation.
     * 
     */
    public static String TcTestBuilder_InstallationNotFound() {
        return holder.format("TcTestBuilder.InstallationNotFound");
    }

    /**
     * Unable to find the specified TestComplete/TestExecute installation.
     * 
     */
    public static Localizable _TcTestBuilder_InstallationNotFound() {
        return new Localizable(holder, "TcTestBuilder.InstallationNotFound");
    }

    /**
     * Error: %s.
     * 
     */
    public static String TcTestBuilder_ErrorMessage() {
        return holder.format("TcTestBuilder.ErrorMessage");
    }

    /**
     * Error: %s.
     * 
     */
    public static Localizable _TcTestBuilder_ErrorMessage() {
        return new Localizable(holder, "TcTestBuilder.ErrorMessage");
    }

    /**
     * Marking the build as FAILED.
     * 
     */
    public static String TcTestBuilder_MarkingBuildAsFailed() {
        return holder.format("TcTestBuilder.MarkingBuildAsFailed");
    }

    /**
     * Marking the build as FAILED.
     * 
     */
    public static Localizable _TcTestBuilder_MarkingBuildAsFailed() {
        return new Localizable(holder, "TcTestBuilder.MarkingBuildAsFailed");
    }

    /**
     * Test runner exit code: %s.
     * 
     */
    public static String TcTestBuilder_ExitCodeMessage() {
        return holder.format("TcTestBuilder.ExitCodeMessage");
    }

    /**
     * Test runner exit code: %s.
     * 
     */
    public static Localizable _TcTestBuilder_ExitCodeMessage() {
        return new Localizable(holder, "TcTestBuilder.ExitCodeMessage");
    }

    /**
     * Unable to publish test results (xml data is empty).
     * 
     */
    public static String TcTestBuilder_UnableToPublishTestData() {
        return holder.format("TcTestBuilder.UnableToPublishTestData");
    }

    /**
     * Unable to publish test results (xml data is empty).
     * 
     */
    public static Localizable _TcTestBuilder_UnableToPublishTestData() {
        return new Localizable(holder, "TcTestBuilder.UnableToPublishTestData");
    }

    /**
     * Marking the build as UNSTABLE.
     * 
     */
    public static String TcTestBuilder_MarkingBuildAsUnstable() {
        return holder.format("TcTestBuilder.MarkingBuildAsUnstable");
    }

    /**
     * Marking the build as UNSTABLE.
     * 
     */
    public static Localizable _TcTestBuilder_MarkingBuildAsUnstable() {
        return new Localizable(holder, "TcTestBuilder.MarkingBuildAsUnstable");
    }

    /**
     * (None)
     * 
     */
    public static String BuildStepAction_None() {
        return holder.format("BuildStepAction.None");
    }

    /**
     * (None)
     * 
     */
    public static Localizable _BuildStepAction_None() {
        return new Localizable(holder, "BuildStepAction.None");
    }

    /**
     * An unsupported version of the TestComplete Service is running on the node. Please use TestComplete Service version 10.60 or later
     * 
     */
    public static String TcServiceOldVersion() {
        return holder.format("TcServiceOldVersion");
    }

    /**
     * An unsupported version of the TestComplete Service is running on the node. Please use TestComplete Service version 10.60 or later
     * 
     */
    public static Localizable _TcServiceOldVersion() {
        return new Localizable(holder, "TcServiceOldVersion");
    }

    /**
     * The test run was stopped due to a timeout. If needed, increase the timeout value in settings
     * 
     */
    public static String TcServiceTimeout() {
        return holder.format("TcServiceTimeout");
    }

    /**
     * The test run was stopped due to a timeout. If needed, increase the timeout value in settings
     * 
     */
    public static Localizable _TcServiceTimeout() {
        return new Localizable(holder, "TcServiceTimeout");
    }

    /**
     * TestComplete Service cannot process parameters
     * 
     */
    public static String TcServiceInvalidArgs() {
        return holder.format("TcServiceInvalidArgs");
    }

    /**
     * TestComplete Service cannot process parameters
     * 
     */
    public static Localizable _TcServiceInvalidArgs() {
        return new Localizable(holder, "TcServiceInvalidArgs");
    }

    /**
     * Warnings occurred during the test execution.
     * 
     */
    public static String TcTestBuilder_BuildStepHasWarnings() {
        return holder.format("TcTestBuilder.BuildStepHasWarnings");
    }

    /**
     * Warnings occurred during the test execution.
     * 
     */
    public static Localizable _TcTestBuilder_BuildStepHasWarnings() {
        return new Localizable(holder, "TcTestBuilder.BuildStepHasWarnings");
    }

    /**
     * The test execution started (%s).
     * 
     */
    public static String TcTestBuilder_TestStartedMessage() {
        return holder.format("TcTestBuilder.TestStartedMessage");
    }

    /**
     * The test execution started (%s).
     * 
     */
    public static Localizable _TcTestBuilder_TestStartedMessage() {
        return new Localizable(holder, "TcTestBuilder.TestStartedMessage");
    }

    /**
     * Please specify a value.
     * 
     */
    public static String TcTestBuilder_Descriptor_ValueNotSpecified() {
        return holder.format("TcTestBuilder.Descriptor.ValueNotSpecified");
    }

    /**
     * Please specify a value.
     * 
     */
    public static Localizable _TcTestBuilder_Descriptor_ValueNotSpecified() {
        return new Localizable(holder, "TcTestBuilder.Descriptor.ValueNotSpecified");
    }

    /**
     * (Latest)
     * 
     */
    public static String TcTestBuilder_Descriptor_LatestTagText() {
        return holder.format("TcTestBuilder.Descriptor.LatestTagText");
    }

    /**
     * (Latest)
     * 
     */
    public static Localizable _TcTestBuilder_Descriptor_LatestTagText() {
        return new Localizable(holder, "TcTestBuilder.Descriptor.LatestTagText");
    }

    /**
     * Unable to launch TestComplete (TestExecute) in an interactive user session. You need TestComplete (TestExecute) ver. 10.6 or later.
     * 
     */
    public static String TcTestBuilder_UnableToLaunchByServiceUnsupportedVersion() {
        return holder.format("TcTestBuilder.UnableToLaunchByServiceUnsupportedVersion");
    }

    /**
     * Unable to launch TestComplete (TestExecute) in an interactive user session. You need TestComplete (TestExecute) ver. 10.6 or later.
     * 
     */
    public static Localizable _TcTestBuilder_UnableToLaunchByServiceUnsupportedVersion() {
        return new Localizable(holder, "TcTestBuilder.UnableToLaunchByServiceUnsupportedVersion");
    }

    /**
     * Selected TestComplete/TestExecute installation:
     * 
     */
    public static String TcTestBuilder_ChosenInstallation() {
        return holder.format("TcTestBuilder.ChosenInstallation");
    }

    /**
     * Selected TestComplete/TestExecute installation:
     * 
     */
    public static Localizable _TcTestBuilder_ChosenInstallation() {
        return new Localizable(holder, "TcTestBuilder.ChosenInstallation");
    }

    /**
     * Unable to log off the current user session
     * 
     */
    public static String TcServiceSessionLogOffError() {
        return holder.format("TcServiceSessionLogOffError");
    }

    /**
     * Unable to log off the current user session
     * 
     */
    public static Localizable _TcServiceSessionLogOffError() {
        return new Localizable(holder, "TcServiceSessionLogOffError");
    }

    /**
     * TestComplete/TestExecute can be launched only on the Windows OS.
     * 
     */
    public static String TcTestBuilder_NotWindowsOS() {
        return holder.format("TcTestBuilder.NotWindowsOS");
    }

    /**
     * TestComplete/TestExecute can be launched only on the Windows OS.
     * 
     */
    public static Localizable _TcTestBuilder_NotWindowsOS() {
        return new Localizable(holder, "TcTestBuilder.NotWindowsOS");
    }

    /**
     * Type: %s, Version: %s, Path: "%s"
     * 
     */
    public static String TcInstallation_InstallationString() {
        return holder.format("TcInstallation.InstallationString");
    }

    /**
     * Type: %s, Version: %s, Path: "%s"
     * 
     */
    public static Localizable _TcInstallation_InstallationString() {
        return new Localizable(holder, "TcInstallation.InstallationString");
    }

    /**
     * An error occurred while executing code on the test machine (slave): %s.
     * 
     */
    public static String TcTestBuilder_RemoteCallingFailed() {
        return holder.format("TcTestBuilder.RemoteCallingFailed");
    }

    /**
     * An error occurred while executing code on the test machine (slave): %s.
     * 
     */
    public static Localizable _TcTestBuilder_RemoteCallingFailed() {
        return new Localizable(holder, "TcTestBuilder.RemoteCallingFailed");
    }

    /**
     * Please specify an integer value.
     * 
     */
    public static String TcTestBuilder_Descriptor_IsNotNumber() {
        return holder.format("TcTestBuilder.Descriptor.IsNotNumber");
    }

    /**
     * Please specify an integer value.
     * 
     */
    public static Localizable _TcTestBuilder_Descriptor_IsNotNumber() {
        return new Localizable(holder, "TcTestBuilder.Descriptor.IsNotNumber");
    }

    /**
     * TestComplete Test
     * 
     */
    public static String TcTestBuilder_DisplayName() {
        return holder.format("TcTestBuilder.DisplayName");
    }

    /**
     * TestComplete Test
     * 
     */
    public static Localizable _TcTestBuilder_DisplayName() {
        return new Localizable(holder, "TcTestBuilder.DisplayName");
    }

    /**
     * Invalid timeout value: "%s". The default timeout will be used.
     * 
     */
    public static String TcTestBuilder_InvalidTimeoutValue() {
        return holder.format("TcTestBuilder.InvalidTimeoutValue");
    }

    /**
     * Invalid timeout value: "%s". The default timeout will be used.
     * 
     */
    public static Localizable _TcTestBuilder_InvalidTimeoutValue() {
        return new Localizable(holder, "TcTestBuilder.InvalidTimeoutValue");
    }

    /**
     * An exception occurred:
     * %s.
     * 
     */
    public static String TcTestBuilder_ExceptionOccurred() {
        return holder.format("TcTestBuilder.ExceptionOccurred");
    }

    /**
     * An exception occurred:
     * %s.
     * 
     */
    public static Localizable _TcTestBuilder_ExceptionOccurred() {
        return new Localizable(holder, "TcTestBuilder.ExceptionOccurred");
    }

    /**
     * Unable to launch TestComplete (TestExecute)
     * 
     */
    public static String TcServiceProcessCreationError() {
        return holder.format("TcServiceProcessCreationError");
    }

    /**
     * Unable to launch TestComplete (TestExecute)
     * 
     */
    public static Localizable _TcServiceProcessCreationError() {
        return new Localizable(holder, "TcServiceProcessCreationError");
    }

    /**
     * Internal error.
     * 
     */
    public static String TcTestBuilder_InternalError() {
        return holder.format("TcTestBuilder.InternalError");
    }

    /**
     * Internal error.
     * 
     */
    public static Localizable _TcTestBuilder_InternalError() {
        return new Localizable(holder, "TcTestBuilder.InternalError");
    }

    /**
     * An internal error occurred. Please contact SmartBear''s Support Team
     * 
     */
    public static String TcServiceInternalError() {
        return holder.format("TcServiceInternalError");
    }

    /**
     * An internal error occurred. Please contact SmartBear''s Support Team
     * 
     */
    public static Localizable _TcServiceInternalError() {
        return new Localizable(holder, "TcServiceInternalError");
    }

    /**
     * (Any)
     * 
     */
    public static String TcTestBuilder_Descriptor_AnyTagText() {
        return holder.format("TcTestBuilder.Descriptor.AnyTagText");
    }

    /**
     * (Any)
     * 
     */
    public static Localizable _TcTestBuilder_Descriptor_AnyTagText() {
        return new Localizable(holder, "TcTestBuilder.Descriptor.AnyTagText");
    }

    /**
     * The node is connected via Java Web Start (JNLP). In this mode, the "Run interactive user session" property of the TestComplete Test step is ignored. TestComplete (or TestExecute) will work in the current user session.
     * 
     */
    public static String TcTestBuilder_SlaveConnectedWithJNLP() {
        return holder.format("TcTestBuilder.SlaveConnectedWithJNLP");
    }

    /**
     * The node is connected via Java Web Start (JNLP). In this mode, the "Run interactive user session" property of the TestComplete Test step is ignored. TestComplete (or TestExecute) will work in the current user session.
     * 
     */
    public static Localizable _TcTestBuilder_SlaveConnectedWithJNLP() {
        return new Localizable(holder, "TcTestBuilder.SlaveConnectedWithJNLP");
    }

    /**
     * The node is connected via Jenkins Agent running as a Windows service. TestComplete tests cannot run in this mode, as they require an interactive user session. To create such a session, enable the "Run interactive user session" property of the TestComplete Test step.
     * 
     */
    public static String TcTestBuilder_SlaveConnectedWithService() {
        return holder.format("TcTestBuilder.SlaveConnectedWithService");
    }

    /**
     * The node is connected via Jenkins Agent running as a Windows service. TestComplete tests cannot run in this mode, as they require an interactive user session. To create such a session, enable the "Run interactive user session" property of the TestComplete Test step.
     * 
     */
    public static Localizable _TcTestBuilder_SlaveConnectedWithService() {
        return new Localizable(holder, "TcTestBuilder.SlaveConnectedWithService");
    }

    /**
     * Mark as UNSTABLE
     * 
     */
    public static String BuildStepAction_MakeUnstable() {
        return holder.format("BuildStepAction.MakeUnstable");
    }

    /**
     * Mark as UNSTABLE
     * 
     */
    public static Localizable _BuildStepAction_MakeUnstable() {
        return new Localizable(holder, "BuildStepAction.MakeUnstable");
    }

    /**
     * The test execution finished (%s).
     * 
     */
    public static String TcTestBuilder_TestExecutionFinishedMessage() {
        return holder.format("TcTestBuilder.TestExecutionFinishedMessage");
    }

    /**
     * The test execution finished (%s).
     * 
     */
    public static Localizable _TcTestBuilder_TestExecutionFinishedMessage() {
        return new Localizable(holder, "TcTestBuilder.TestExecutionFinishedMessage");
    }

    /**
     * Found TestComplete/TestExecute installations:
     * 
     */
    public static String TcTestBuilder_FoundedInstallations() {
        return holder.format("TcTestBuilder.FoundedInstallations");
    }

    /**
     * Found TestComplete/TestExecute installations:
     * 
     */
    public static Localizable _TcTestBuilder_FoundedInstallations() {
        return new Localizable(holder, "TcTestBuilder.FoundedInstallations");
    }

    /**
     * Mark as FAILED
     * 
     */
    public static String BuildStepAction_MakeFailed() {
        return holder.format("BuildStepAction.MakeFailed");
    }

    /**
     * Mark as FAILED
     * 
     */
    public static Localizable _BuildStepAction_MakeFailed() {
        return new Localizable(holder, "BuildStepAction.MakeFailed");
    }

    /**
     * TestComplete Test Results
     * 
     */
    public static String TcSummaryAction_DisplayName() {
        return holder.format("TcSummaryAction.DisplayName");
    }

    /**
     * TestComplete Test Results
     * 
     */
    public static Localizable _TcSummaryAction_DisplayName() {
        return new Localizable(holder, "TcSummaryAction.DisplayName");
    }

    /**
     * TestComplete Service is not available on the node
     * 
     */
    public static String TcServiceProcessNotAvailable() {
        return holder.format("TcServiceProcessNotAvailable");
    }

    /**
     * TestComplete Service is not available on the node
     * 
     */
    public static Localizable _TcServiceProcessNotAvailable() {
        return new Localizable(holder, "TcServiceProcessNotAvailable");
    }

    /**
     * Unable to create a user session
     * 
     */
    public static String TcServiceSessionCreationError() {
        return holder.format("TcServiceSessionCreationError");
    }

    /**
     * Unable to create a user session
     * 
     */
    public static Localizable _TcServiceSessionCreationError() {
        return new Localizable(holder, "TcServiceSessionCreationError");
    }

    /**
     * Launching the test runner.
     * 
     */
    public static String TcTestBuilder_LaunchingTestRunner() {
        return holder.format("TcTestBuilder.LaunchingTestRunner");
    }

    /**
     * Launching the test runner.
     * 
     */
    public static Localizable _TcTestBuilder_LaunchingTestRunner() {
        return new Localizable(holder, "TcTestBuilder.LaunchingTestRunner");
    }

    /**
     * Unable to find the log file "%s".
     * 
     */
    public static String TcTestBuilder_UnableToFindLogFile() {
        return holder.format("TcTestBuilder.UnableToFindLogFile");
    }

    /**
     * Unable to find the log file "%s".
     * 
     */
    public static Localizable _TcTestBuilder_UnableToFindLogFile() {
        return new Localizable(holder, "TcTestBuilder.UnableToFindLogFile");
    }

    /**
     * Errors occurred during the test execution.
     * 
     */
    public static String TcTestBuilder_BuildStepHasErrors() {
        return holder.format("TcTestBuilder.BuildStepHasErrors");
    }

    /**
     * Errors occurred during the test execution.
     * 
     */
    public static Localizable _TcTestBuilder_BuildStepHasErrors() {
        return new Localizable(holder, "TcTestBuilder.BuildStepHasErrors");
    }

}
